petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetFromOptions

sets parameters in a DM from the options database

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetFromOptions(DM dm)

Collective on DM

### Input Parameter

dm -the DM object to set options for

### Options Database

| -dm_preallocate_only | - Only preallocate the matrix for DMCreateMatrix(), but do not fill it with zeros
| -dm_vec_type <type> | - type of vector to create inside DM
| -dm_mat_type <type> | - type of matrix to create inside DM
| -dm_is_coloring_type | - <global or local>

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/impls/forest/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html

### Implementations

DMSetFromOptions_DA in src/dm/impls/da/dacreate.c
DMSetFromOptions_Forest in src/dm/impls/forest/forest.c
DMSetFromOptions_pforest in src/dm/impls/forest/p4est/pforest.c
DMSetFromOptions_Moab in src/dm/impls/moab/dmmoab.cxx
DMSetFromOptions_Network in src/dm/impls/network/networkcreate.c
DMSetFromOptions_Patch in src/dm/impls/patch/patchcreate.c
DMSetFromOptions_NonRefinement_Plex in src/dm/impls/plex/plexcreate.c
DMSetFromOptions_Plex in src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages